Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 597967

Summary: Review Request: emacs-ibus - IBus client for GNU Emacs
Product: [Fedora] Fedora Reporter: Daiki Ueno <dueno>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, i18n-bugs, notting, panemade
Target Milestone: ---Flags: panemade: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: emacs-ibus-0.1.0-2.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-14 17:16:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Daiki Ueno 2010-05-31 06:20:43 UTC
Spec URL: http://ueno.fedorapeople.org/emacs-ibus/emacs-ibus.spec
SRPM URL: http://ueno.fedorapeople.org/emacs-ibus/emacs-ibus-0.1.0-1.fc13.src.rpm
Description:
ibus.el is a IBus client for GNU Emacs. This program allows users
on-the-spot style input with IBus. The input statuses are individually
kept for each buffer, and prefix-keys such as C-x and C-c can be used
even if IBus is active. So you can input various languages fast and
comfortably by using it.

Comment 1 Parag AN(पराग) 2010-06-01 06:15:19 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2221510
+ rpmlint output for SRPM and for RPM.
emacs-ibus.src: W: spelling-error %description -l en_US el -> e, l, eel
emacs-ibus.noarch: E: explicit-lib-dependency python-xlib
emacs-ibus.noarch: W: spelling-error %description -l en_US el -> e, l, eel
emacs-ibus-el.noarch: W: spelling-error Summary(en_US) Elisp -> Lisp, Elise, Elisa
emacs-ibus-el.noarch: W: spelling-error %description -l en_US elisp -> lisp, e lisp, Elise
emacs-ibus-el.noarch: W: no-documentation
==> All are ok to be ignored.

+ source files match upstream url (sha1sum)
c066f17640d51b91d39bffbc991f946a73469499  ibus-el-0.1.0.tar.gz
c066f17640d51b91d39bffbc991f946a73469499  ibus-el-0.1.0.tar.gz.srpm
( I see that when tried to download using wget, I get 2010-06-01 11:33:52 ERROR 403: Forbidden. Not sure why its happening but I can download it using browser)

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ no headers or static libraries.
+ emacs-ibus-el subpackage exists.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application
+ Other than requires on emacs missing, this package follows emacs addon packaging guidelines.

Suggestions:
1) As per https://fedoraproject.org/wiki/Packaging:Emacs#Package_Requires_and_BuildRequires, emacs-ibus must have

Requires: emacs(bin) >= %{_emacs_version} 

2) Good if timestamps are preserved as per http://fedoraproject.org/wiki/PackagingGuidelines#Timestamps 


APPROVED.

Comment 2 Parag AN(पराग) 2010-06-01 06:22:23 UTC
Also if you are planning only to build for F-13 and above you can ignore writing buildroot and %clean sections.

See http://fedoraproject.org/wiki/PackagingGuidelines#BuildRoot_tag and http://fedoraproject.org/wiki/PackagingGuidelines#.25clean

Comment 3 Daiki Ueno 2010-06-01 08:18:49 UTC
Thanks for the review.

New Package CVS Request
=======================
Package Name: emacs-ibus
Short Description: IBus client for GNU Emacs
Owners: ueno
Branches: F-13 F-12
InitialCC: i18n-team

Comment 4 Kevin Fenzi 2010-06-03 20:32:14 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Fedora Update System 2010-06-04 04:00:45 UTC
emacs-ibus-0.1.0-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/emacs-ibus-0.1.0-2.fc13

Comment 6 Fedora Update System 2010-06-04 04:01:56 UTC
emacs-ibus-0.1.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/emacs-ibus-0.1.0-2.fc12

Comment 7 Fedora Update System 2010-06-04 18:54:44 UTC
emacs-ibus-0.1.0-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update emacs-ibus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/emacs-ibus-0.1.0-2.fc12

Comment 8 Fedora Update System 2010-06-04 18:58:40 UTC
emacs-ibus-0.1.0-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update emacs-ibus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/emacs-ibus-0.1.0-2.fc13

Comment 9 Fedora Update System 2010-06-14 17:16:42 UTC
emacs-ibus-0.1.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-06-14 17:29:29 UTC
emacs-ibus-0.1.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.